Subject: Re: [PATCH v2 4/4] powerpc/83xx: Add PCI-E support for all MPC83xx boards with PCI-E

From: Anton Vorontsov <[email-masked]>
Date: Wed, 31 Dec 2008 20:41:25 +0300

On Wed, Dec 31, 2008 at 10:48:07AM -0600, Kumar Gala wrote:
>
> On Dec 30, 2008, at 2:19 PM, Anton Vorontsov wrote:
>
>>>>
>>>>
>>>> +		compatible = "fsl,mpc8315-pcie", "fsl,mpc8314-pcie";
>>>> +		reg = <0xe0009000 0x00001000 0xb0000000 0x01000000>;
>>>
>>> the size on the 0xb0000000 seems wrong
>>
>> This is how FSL U-Boots configure the cfg window, and I'm trying to
>> retain the compatibility. Anyway, now Linux maps only the first 4kB
>> of that area, so we don't actually care about this, but dts is still
>> correct for older u-boots. Newer U-Boots might want to correct this
>> value if they want to use other cfg window setup...
>
> I'd rather not pollute the .dts with this

So you prefer to change the cfg window size to 0x1000?

> since I don't believe the open 
> source u-boot supports PCIe on 83xx.

Yes, that's correct. PCI-E support for community U-Boot is ongoing.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2